Subject: [bug#38015] Emacs in multiple profiles

From: Pierre Neidhardt <[email-masked]>
Date: Wed, 13 Nov 2019 12:08:11 +0100

Hi Chris,

Thanks for testing!

> - The fonts were different than I remember.  Not sure why it happened,
>   but I'm guessing it had to do with the fact that I emptied my default
>   profile, and thus got rid of a lot of fonts accidentally.  At this
>   time, I doubt it's because of your changes.

Indeed, Emacs will only load fonts from the default profile.  Not sure
why.  But this is unrelated to this change (it also affects current Guix).

> - Aspell does not work: "ispell-init-process: Error: No word lists can
>   be found for the language "en_US"."  I think this happens because
>   the Guix package for aspell refers to the default profile:
>
>   (add-after 'install 'wrap-aspell
>    (lambda* (#:key outputs #:allow-other-keys)
>      (let ((bin/aspell (string-append (assoc-ref outputs "out")
>                                       "/bin/aspell")))
>        (wrap-program bin/aspell
>          '("ASPELL_CONF" "" =
>            ("${ASPELL_CONF:-\"dict-dir ${GUIX_PROFILE:-$HOME/.guix-profile}/lib/aspell\"}")))
>        #t)))

More precisely, it's because of the patch applied to ASPELL.
See bug #29686 for a discussion.  I have a clue how to patch this
properly, just need to get down to it.

> Finally: do you anticipate that this will cause any user-visible or
> backwards-incompatible changes that we should mention in the Guix
> channel's news file (and in the Guix NEWS file)?

As far I can see, the only incompatibility would arise if the user
explicitly referred to the guix-emacs.el variables that are now gone.

This change is cool enough I'm all for a NEWS entry nonetheless!

-- 
Pierre Neidhardt
https://ambrevar.xyz/